> For the complete documentation index, see [llms.txt](https://developer.harness.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.harness.io/api-reference/platform-apis/dashboards/downloads.md).

# Downloads

## GET /download/tasks/{task\_id}

> Get the current status of a download task

```json
{"openapi":"3.0.2","info":{"title":"Dashboards Open API","version":"1.0.0"},"paths":{"/download/tasks/{task_id}":{"get":{"tags":["downloads"],"description":"Get the current status of a download task","operationId":"get_download_task_status","parameters":[{"in":"path","name":"task_id","schema":{"type":"string"},"required":true,"description":"ID of the download task to check"}],"responses":{"200":{"description":"Task status retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DownloadQueryTaskResponse"}}}},"404":{"description":"Task not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"default":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"DownloadQueryTaskResponse":{"type":"object","properties":{"resource":{"$ref":"#/components/schemas/QueryTaskDetails"}},"required":["resource"]},"QueryTaskDetails":{"type":"object","properties":{"id":{"type":"string"},"status":{"type":"string","enum":["added","error","killed","running","complete","timeout"]}},"required":["status"]},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"},"code":{"type":"integer"},"correlationId":{"type":"string"},"responseMessages":{"type":"string"}},"required":["code","error","responseMessages"]}}}}
```

## GET /download/dashboards/{dashboard\_id}/dashboard\_elements/{dashboard\_element\_id}

> Get the results of a download task for a specific element within a dashboard.

```json
{"openapi":"3.0.2","info":{"title":"Dashboards Open API","version":"1.0.0"},"paths":{"/download/dashboards/{dashboard_id}/dashboard_elements/{dashboard_element_id}":{"get":{"tags":["downloads"],"description":"Get the results of a download task for a specific element within a dashboard.","operationId":"get_dashboard_element_download_task_results","parameters":[{"in":"path","name":"dashboard_id","schema":{"type":"string"},"required":true},{"in":"path","name":"dashboard_element_id","schema":{"type":"string"},"required":true},{"in":"query","name":"accountId","schema":{"type":"string"},"required":false},{"in":"query","name":"task_id","schema":{"type":"string"},"required":true},{"in":"query","name":"compress","schema":{"type":"string","default":"zip","enum":["zip","none"]},"required":false}],"responses":{"200":{"description":"Download task results retrieved successfully. When compress=zip (default) returns application/zip. When compress=none returns text/csv directly.\n","content":{"application/zip":{"schema":{"type":"string","format":"binary"}},"text/csv":{"schema":{"type":"string","format":"binary"}}}},"404":{"description":"Dashboard, element, or task not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"default":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"},"code":{"type":"integer"},"correlationId":{"type":"string"},"responseMessages":{"type":"string"}},"required":["code","error","responseMessages"]}}}}
```

## POST /download/dashboards/{dashboard\_id}/dashboard\_elements/{dashboard\_element\_id}

> Creates an asynchronous download task for a specific element within a dashboard.

```json
{"openapi":"3.0.2","info":{"title":"Dashboards Open API","version":"1.0.0"},"paths":{"/download/dashboards/{dashboard_id}/dashboard_elements/{dashboard_element_id}":{"post":{"tags":["downloads"],"description":"Creates an asynchronous download task for a specific element within a dashboard.","operationId":"create_dashboard_element_download_task","parameters":[{"in":"path","name":"dashboard_id","schema":{"type":"string"},"required":true},{"in":"path","name":"dashboard_element_id","schema":{"type":"string"},"required":true},{"in":"query","name":"accountId","schema":{"type":"string"},"required":false},{"in":"query","name":"expanded_tables","schema":{"type":"boolean"},"required":false},{"in":"query","name":"filters","schema":{"type":"string"},"required":false},{"in":"query","name":"apply_vis","schema":{"type":"boolean"},"required":false}],"responses":{"200":{"description":"Download task created successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DownloadQueryTaskResponse"}}}},"400":{"description":"Invalid request parameters","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Dashboard or Element not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"default":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"DownloadQueryTaskResponse":{"type":"object","properties":{"resource":{"$ref":"#/components/schemas/QueryTaskDetails"}},"required":["resource"]},"QueryTaskDetails":{"type":"object","properties":{"id":{"type":"string"},"status":{"type":"string","enum":["added","error","killed","running","complete","timeout"]}},"required":["status"]},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"},"code":{"type":"integer"},"correlationId":{"type":"string"},"responseMessages":{"type":"string"}},"required":["code","error","responseMessages"]}}}}
```
